# Audio

{% hint style="warning" %}
Available only on animated design and MP4 output
{% endhint %}

An audio layer allows audio integration within your design.&#x20;

#### Available properties

<table><thead><tr><th width="208">Property</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>audio_url</code></strong></td><td><p><strong>HTTP(s) URL of the audio</strong></p><p></p><p><em>It must be a public accessible link and have a filesize of 30 mo maximum.</em></p><p></p><p>Supported files: <strong><code>mp3</code></strong>, <strong><code>wav</code></strong></p></td></tr><tr><td><strong><code>max_volume</code></strong></td><td><p>Float (between <code>0</code> and <code>1</code>)</p><p>Default value: <code>1</code></p><ul><li><code>1:</code> the sound will be played at default volume</li><li><code>0.5:</code> the sound will be played at half volume</li><li><code>0:</code> No sound will be played</li></ul></td></tr><tr><td><strong><code>speed</code></strong></td><td><p>Float (between <code>0.25</code> and <code>2</code>)</p><p>Default value: <code>1</code></p><ul><li><code>1:</code> speed 100%</li><li><code>0.5:</code> speed 50%</li></ul></td></tr></tbody></table>

```json
    "audio_0": {
      "audio_url": "https://example.com/audio.mp3",
      "speed": 1,
      "max_volume": 1
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.abyssale.com/rest-api/generation/element-properties/audio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
